<template>
   <div v-show="name" :title="title" class="iconShow" :name="name" :style="'width:'+fontSize+';height:'+fontSize+';font-size: '+fontSize+';'+style" v-html="svgHtml"></div>
</template>

<script>
import func from "@/util/func";
export default {
name: "iconShow",
  props: {
    title:{
      type: String,
      default: ''
    },
    name: {
      type: String,
      default: ''
    },
    fontSize: {
      type: String,
      default:'20px'
    },
    style:{
      type: String,
      default:''
    }
  },
  computed:{
    svgHtml() {
      return func.getSVGByName(this.name);
    },
  },
  methods:{
  }
}
</script>

<style lang="scss" scoped>
::v-deep {
  svg{
    font-size: inherit;
    height: 100%;
    width:auto;
  }
}
</style>
